Bug 285532 - Trash folder disappeared
Summary: Trash folder disappeared
Status: RESOLVED FIXED
Alias: None
Product: Akonadi
Classification: Unclassified
Component: Migration (show other bugs)
Version: 1.0.0
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-02 07:12 UTC by Jens Mander
Modified: 2013-03-17 11:10 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.10.2


Attachments
Screenshot of the folder section of Kontact/Kmail 2.0 (188.24 KB, image/jpeg)
2011-11-03 20:16 UTC, Jens Mander
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jens Mander 2011-11-02 07:12:25 UTC
Version:           1.99.0 (using KDE 4.7.2) 
OS:                Linux

After Upgrading to Kmail 2.0 there is no trash bin.


Reproducible: Always

Steps to Reproduce:
Trash bin is just not in place.

Actual Results:  
no trash bin

Expected Results:  
a trash bin

OS: Linux (x86_64) release 3.0.0-12-generic
Compiler: gcc
Comment 1 Laurent Montel 2011-11-02 08:51:36 UTC
?
Could you create screenshot from all your forder please.
Comment 2 Laurent Montel 2011-11-03 16:28:02 UTC
Need infos
Comment 3 Jens Mander 2011-11-03 20:16:04 UTC
Created attachment 65207 [details]
Screenshot of the folder section of Kontact/Kmail 2.0

You need more infos?
What files could help?

Is there a path to the trash in a config file?
Which?
Comment 4 Laurent Montel 2011-11-04 12:19:13 UTC
Are you sure that you didn't hide it from "unsubscribe folder" ?
Comment 5 Beat Wolf 2012-02-07 12:47:51 UTC
I have the same problem, this is a very big problem. Tell my anything i can do to help.
Comment 6 András Manţia 2012-02-11 23:59:37 UTC
Do you have a trash folder on disk (check the account settings to which directory it points to)? I assume you used the migrator to migrate your old data. Reassigning to that.
Comment 7 Beat Wolf 2012-02-12 09:31:53 UTC
I did not use a migrator. I tried, but it did work. Then i deleted all the akonadi etc configs and it created a new folder. I think at that point the trash was already missing.
Then i imported the kmail1 mails using the import kmail1 folder structure importer.
I will post the content of the folder soon.
Comment 8 Beat Wolf 2012-02-12 09:45:52 UTC
The "Local Folder" in kmail is set to:
/home/gaelle/.local/share/local-mail

here the content of that folder:
gaelle@gaelle:~/.local/share/local-mail$ ls -la
total 20
drwxrwxr-x  5 gaelle gaelle 4096 2012-02-04 09:46 .
drwx------ 15 gaelle gaelle 4096 2012-02-12 10:38 ..
drwxrwxr-x  2 gaelle gaelle 4096 2012-02-04 09:46 cur
drwxrwxr-x  2 gaelle gaelle 4096 2012-02-04 09:46 new
drwxrwxr-x  2 gaelle gaelle 4096 2012-02-04 09:46 tmp

and here the content of all subfolders:
gaelle@gaelle:~/.local/share/local-mail/cur$ ls -la
total 8
drwxrwxr-x 2 gaelle gaelle 4096 2012-02-04 09:46 .
drwxrwxr-x 5 gaelle gaelle 4096 2012-02-04 09:46 ..

gaelle@gaelle:~/.local/share/local-mail/new$ ls -la
total 8
drwxrwxr-x 2 gaelle gaelle 4096 2012-02-04 09:46 .
drwxrwxr-x 5 gaelle gaelle 4096 2012-02-04 09:46 ..

gaelle@gaelle:~/.local/share/local-mail/tmp$ ls -la
total 8
drwxrwxr-x 2 gaelle gaelle 4096 2012-02-04 09:46 .
drwxrwxr-x 5 gaelle gaelle 4096 2012-02-04 09:46 ..

I really hope you can help me to get the trash folder back.
Comment 9 Beat Wolf 2012-02-12 11:08:43 UTC
Great.. now the trash folder magically appeared, after over an week not beeing here.
Well there is one thing i did, i disabled nepomuk system wide. Does kontact work better without nepomuk?
Comment 10 Peter Hewett 2012-12-08 02:49:52 UTC
Similar symptoms here; trash folder just disappeared!
This is a fresh install of Kubuntu 12.10 64bit, with kmail messages imported from tar.gz archive made by kmail under Kubuntu 12.04.  I'm sure that trash folder was there, but one day noticed that it had disappeared.
What can I do to get this back?
Comment 11 David Faure 2013-03-02 21:18:36 UTC
Git commit 60b1b80f5749b08d63d34b9049a80c9433aaa799 by David Faure.
Committed on 02/03/2013 at 22:18.
Pushed by dfaure into branch 'KDE/4.10'.

The overuse of the [ ] operator on QHashes, lead to storing invalid collections.
Related: bug 303117, bug 307016
FIXED-IN: 4.10.2
REVIEW: 109208

M  +7    -23   akonadi/specialcollections.cpp

http://commits.kde.org/kdepimlibs/60b1b80f5749b08d63d34b9049a80c9433aaa799
Comment 12 Mark Fraser 2013-03-16 14:13:16 UTC
Running Kubuntu 13.04 and there is no wastebin folder. Surely there must be a way of getting it back?
Comment 13 Allen Winter 2013-03-16 18:18:14 UTC
Yes,  go into the configure settings for your Receiving Accounts

Modify each account that's missing a trash folder, then select the Advanced tab.
then select your Trash folder; which most often you want under you Local Folders.
Comment 14 Mark Fraser 2013-03-17 11:10:58 UTC
There isn't an option under Advanced to do anything with the waste bin (trash) folder. This is a POP account.